View all methods
orgfiles.teamHierarchy.get
Get your team hierarchy from DX.
Facts
| Method | GET https://api.getdx.com/orgfiles.teamHierarchy.get |
| Required scope | snapshots:admin |
Usage info
This API method allows you to retrieve your organization’s current team hierarchies from DX. Reference IDs in DX can be set through uploading an org CSV using the Workday option within the admin section or using the orgfiles.teamHierarchy.process endpoint. If the reference IDs are not set for your teams, you will receive a response but all reference_id values will be null.
Example request
curl -X GET 'https://api.getdx.com/orgfiles.teamHierarchy.get' \
-H "Content-Type: application/json" \
-H "Authorization: Bearer xxxx-xxxxxxxxx-xxxx"
Example response
[
{
"name": "Team A",
"reference_id": "unique-identifier-a",
"team_lead_email": "team.lead.a@company.com",
"parent_team_reference_id": null,
"parent_team_name": null,
"members": []
},
{
"name": "Team B",
"reference_id": "unique-identifier-b",
"team_lead_email": "team.lead.b@company.com",
"parent_team_reference_id": "unique-identifier-a",
"parent_team_name": "Team A",
"members": [
"team.member.a@company.com",
"team.member.b@company.com",
"team.member.c@company.com"
]
}
]
Errors
This table lists the expected errors that this method could return. However, other errors can be returned in the case where the service is down or other unexpected factors affect processing. Callers should always check the value of the ok param in the response.
| Error | Description |
|---|---|
not_authed |
This error occurs if the API request does not include a valid API key for authentication. |
invalid_auth |
The provided API key is invalid. This can happen if the key is expired or does not exist. |